import javax.swing.*;
import java.awt.LayoutManager;

/**
 * Set up the window and show a very long label in it.
 * @version 5, 2 Feb 2005.
 **/
public class SetUpOperation implements Runnable
{
    public void run () {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        frame.setSize(300, 200);
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        // Add something to the window.
        JLabel text = new JLabel ("This is another piece of text to appear in the window.");
        frame.getContentPane().add(text);
        
        // Show the window.
        frame.setVisible(true);
    }
}
